Subject: Re: bug#14042: configure error for guile 2.0.7

From: [email-masked] (Ludovic Courtès)
Date: Wed, 27 Mar 2013 11:14:09 +0100

Hi,

(Please make sure to keep the bug-report address Cc’d.)

Marc Girod <[email-masked]> skribis:

> Well, I didn't enable threads explicitly on the configure line...
> But the config.log contains, as part of confdefs.h:
>
> #define GC_SOLARIS_THREADS 1
> #define THREAD_LOCAL_ALLOC 1
>
> So, yes, I expect threads to be enabled.
> And it is version 7.2

OK.

> And sure, I can build them again with the threads disabled...
> I don't jump on it right now, though...

Let us know how it goes.

> Did I already mention that my build of gcc 4.7.2 produces a
> segmentation fault on any C++ exceptions?

It shouldn’t matter here since it’s all C.

Thanks,
Ludo’.